Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.image
Interface TileObserver

public interface TileObserver

An interface for objects that wish to be informed when tiles of a WritableRenderedImage become modifiable by some writer via a call to getWritableTile, and when they become unmodifiable via the last call to releaseWritableTile.

See Also:
  `WritableRenderedImage`

Method Summary
`void` | `tileUpdate(WritableRenderedImage source, int tileX, int tileY, boolean willBeWritable)` A tile is about to be updated (it is either about to be grabbed for writing, or it is being released from writing).

Method Detail

### tileUpdate

    public void tileUpdate(WritableRenderedImage source,
                           int tileX,
                           int tileY,
                           boolean willBeWritable)

  A tile is about to be updated (it is either about to be grabbed for writing, or it is being released from writing).
  Parameters:
    `source` - the image that owns the tile.
    `tileX` - the X index of the tile that is being updated.
    `tileY` - the Y index of the tile that is being updated.
    `willBeWritable` - If true, the tile will be grabbed for writing; otherwise it is being released.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.